package com.th.demo.mapping.system;

import com.th.demo.model.system.SysLog;

import java.util.Date;
import java.util.List;

public interface SysLogMapper {
    int deleteByPrimaryKey(String id);

    int insert(SysLog record);

    int insertSelective(SysLog record);

    SysLog selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(SysLog record);

    int updateByPrimaryKey(SysLog record);
    List<SysLog> selectByParam(Date logStart, Date logEnd, String logUserName, String logUserDesc, String logIp, String logHostName, String logJmId, String logType);

    String selectDateTime();
}